Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79752 - (440GX IRQ_ROUTING)l440gx MB fails to boot with newer kernels
Summary: (440GX IRQ_ROUTING)l440gx MB fails to boot with newer kernels
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.2
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
: 53644 53786 53829 54422 71452 75947 76551 77090 77643 78415 88855 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-16 16:11 UTC by Shaun Durnan
Modified: 2007-04-18 16:49 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-06-08 11:41:25 UTC


Attachments (Terms of Use)

Description Shaun Durnan 2002-12-16 16:11:53 UTC
Description of problem:

After upgrading kernel using up2date
Fails to boot with newer version of Kernel, on L440GX motherboard

Version-Release number of selected component (if applicable):

2.4.9-34smp             works

2.4.18-17.7xsmp         fails
2.4.18-18.7xsmp

How reproducible:

Always

Steps to Reproduce:
1. boot using grub
2. choose kernel greater than 2.4.9-34
3.
    
Actual results:

hangs during boot with last line

ply: 2048 Unix98 ptys configured

next line in normal boot (3.4.9-34smp) is

serial driver version 5.05c .....

Expected results:

normal boot

Additional info:

I installed 7.2 using a downloaded boot disk and using apic option 

This worked fine until i updated the kernel using up2date

it now hangs, unless I select the old kernel

This is obviously a secrity risk, as the reason fro the the kernel updates were
security


Thanks

Shaun

Comment 1 Shaun Durnan 2002-12-18 20:36:12 UTC
Why was the severity changed from security to high

There are Kernel updates for security reasons, which I cannot apply

This is a security issue.

Thanks

Shaun

Comment 2 Need Real Name 2003-01-02 15:30:42 UTC
I am having the same problem too.  
I had problems with the L440GX mobo, which was resolved using Mr Ledford's 
boot disks from Bug 29555.  
I am using RH 7.1 so my current working kernel is 2.4.2-2smp.  I have tried 
kernel updates 2.4.18-18.7 and 2.4.18-19.7 with no joy.  The server hangs on 
boot, I have made sure that I am using the smp kernel and have tried to boot 
with and without "boot: linux apic"

Thank you for your time
Moon
PS Happy New Year


Comment 3 Need Real Name 2003-03-27 17:28:34 UTC
More of the same:

RH=7.3
MB=L440GX+
Single CPU installed
Latest BIOS from Intel - 14.3 (build 133)

2.4.18-3smp
2.4.18-27.7.xdebug - work fine

2.4.18-18.7.x
2.4.18-18.7.xsmp
2.4.18-27.7.x
2.4.18-27.7.xsmp - don't work

These kernels hang on "oprofile: APIC was already enabled" without the "noapic" 
option and goes into the famous aic7xxx error loop with the "noapic" option. 

I believe I originally got the working 2.4.18-3smp kernel installed using Doug 
Ledford's posted suggestions, as this machine also exhibited the associated 
L440GX/RH7.3 install problems. 

I'm O.K. for now using one of the working kernels, but would ultimately prefer 
not to use a debug kernel or the less secure kernel so I thought I'd add a bit 
more info while I add my name to the cc list for this bug.

I also have a question which you may feel free to ignore if this is not the 
proper forum (or point me to a more appropriate forum): Until this bug is 
fixed, can anyone offer any opinions about the pros and cons of using either 
the older 2.4.18-3smp kernel vs. the newer 2.4.18-27.7.xdebug? 



Comment 4 Mark J. Cox 2003-06-02 11:33:14 UTC
We've since issued another kernel update, RHSA-2003:172, which should fix this.
 Please let us know.

Comment 5 Need Real Name 2003-06-02 20:58:35 UTC
Whoo-hoo!! Way to go kernel gurus!!
Both single processor and smp versions of kernel-2.4.20-13.7 boot with no 
problems! Thanks.

Comment 6 Alan Cox 2003-06-08 11:28:01 UTC
*** Bug 88855 has been marked as a duplicate of this bug. ***

Comment 7 Alan Cox 2003-06-08 11:28:26 UTC
*** Bug 78415 has been marked as a duplicate of this bug. ***

Comment 8 Alan Cox 2003-06-08 11:29:08 UTC
*** Bug 77643 has been marked as a duplicate of this bug. ***

Comment 9 Alan Cox 2003-06-08 11:29:42 UTC
*** Bug 77090 has been marked as a duplicate of this bug. ***

Comment 10 Alan Cox 2003-06-08 11:30:19 UTC
*** Bug 76551 has been marked as a duplicate of this bug. ***

Comment 11 Alan Cox 2003-06-08 11:31:19 UTC
*** Bug 75947 has been marked as a duplicate of this bug. ***

Comment 12 Alan Cox 2003-06-08 11:32:02 UTC
*** Bug 71452 has been marked as a duplicate of this bug. ***

Comment 13 Alan Cox 2003-06-08 11:34:38 UTC
*** Bug 54422 has been marked as a duplicate of this bug. ***

Comment 14 Alan Cox 2003-06-08 11:35:33 UTC
*** Bug 53829 has been marked as a duplicate of this bug. ***

Comment 15 Alan Cox 2003-06-08 11:36:10 UTC
*** Bug 53786 has been marked as a duplicate of this bug. ***

Comment 16 Alan Cox 2003-06-08 11:37:24 UTC
*** Bug 53644 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.